alirezaimi
Contributor
Contributor

VMware-Workstation-Full-15.5.1-15018445 failed to install on debian 10

Jump to solution

Hi

I want to install VMware-Workstation-Full-15.5.1-15018445 on debian stable 10 ; but  error happened and stop process Smiley Sad :

$ sudo ./VMware-Workstation-Full-15.5.1-15018445.x86_64.bundle

[sudo] password for ali:

Extracting VMware Installer...done.

Rolling back VMware Player Setup 15.5.1

    Deconfiguring...

[#                                                                     ]   1%

[2020-02-08 13:10:28,108]

[2020-02-08 13:10:28,109]

[2020-02-08 13:10:28,109] Installer running.

[2020-02-08 13:10:28,109] Command Line Arguments:

[2020-02-08 13:10:28,109] ['/tmp/vmis.GxziIs/install/vmware-installer/vmware-installer.py', '--set-setting', 'vmware-installer', 'libconf', '', '--install-component', '/tmp/vmis.GxziIs/install/vmware-installer', '--install-bundle', '/home/ali/Downloads/temp/./VMware-Workstation-Full-15.5.1-15018445.x86_64.bundle', '']

[2020-02-08 13:10:28,167] System installer version is: 3.0.0.15018445

[2020-02-08 13:10:28,167] Running installer version is: 3.0.0.15018445

[2020-02-08 13:10:28,167] Opening database file /etc/vmware-installer/database

[2020-02-08 13:10:29,206] Could not locate installer App Control.

[2020-02-08 13:10:29,378] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-08 13:10:29,385] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:29,391] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-08 13:10:29,398] destination /tmp/tmp618w_jgm/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-08 13:10:29,408] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:29,435] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:29,443] destination /tmp/tmp618w_jgm/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-08 13:10:29,447] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:29,453] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-08 13:10:29,460] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-08 13:10:29,534] Kernel release string 4.19.0-6-amd64

[2020-02-08 13:10:29,539] Found Linux kernel version (4, 19, 0)

[2020-02-08 13:10:29,554] Glibc brand string ldd (Debian GLIBC 2.29-9) 2.29

[2020-02-08 13:10:29,560] Found glibc version (2, 29)

[2020-02-08 13:10:29,654] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:29,658] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:29,663] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/update.py already exists, overwriting.

[2020-02-08 13:10:29,669] destination /tmp/tmp618w_jgm/.installer/11.0.0/__init__.py already exists, overwriting.

[2020-02-08 13:10:29,674] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/versions.py already exists, overwriting.

[2020-02-08 13:10:29,694] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:29,699] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/versions.py already exists, overwriting.

[2020-02-08 13:10:29,704] destination /tmp/tmp618w_jgm/.installer/11.0.0/__init__.py already exists, overwriting.

[2020-02-08 13:10:29,711] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:29,723] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/update.py already exists, overwriting.

[2020-02-08 13:10:29,741] destination /tmp/tmp618w_jgm/.installer/11.0.0/__init__.py already exists, overwriting.

[2020-02-08 13:10:29,747] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/versions.py already exists, overwriting.

[2020-02-08 13:10:29,752] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/update.py already exists, overwriting.

[2020-02-08 13:10:29,757] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:29,767] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:29,785] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/update.py already exists, overwriting.

[2020-02-08 13:10:29,791] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:29,796] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/versions.py already exists, overwriting.

[2020-02-08 13:10:29,803] destination /tmp/tmp618w_jgm/.installer/11.0.0/__init__.py already exists, overwriting.

[2020-02-08 13:10:29,809] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:29,831] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:29,838] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/update.py already exists, overwriting.

[2020-02-08 13:10:29,843] destination /tmp/tmp618w_jgm/.installer/11.0.0/__init__.py already exists, overwriting.

[2020-02-08 13:10:29,848] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/versions.py already exists, overwriting.

[2020-02-08 13:10:29,858] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:29,872] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/versions.py already exists, overwriting.

[2020-02-08 13:10:29,877] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/update.py already exists, overwriting.

[2020-02-08 13:10:29,882] destination /tmp/tmp618w_jgm/.installer/11.0.0/__init__.py already exists, overwriting.

[2020-02-08 13:10:29,888] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:29,898] destination /tmp/tmp618w_jgm/.installer/11.0.0/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:29,913] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-08 13:10:29,920] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-08 13:10:29,925] destination /tmp/tmp618w_jgm/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-08 13:10:29,932] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:29,939] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:30,029] destination /tmp/tmp618w_jgm/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-08 13:10:30,035] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-08 13:10:30,040] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:30,046] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:30,053] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-08 13:10:30,070] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-08 13:10:30,077] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-08 13:10:30,089] destination /tmp/tmp618w_jgm/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-08 13:10:30,094] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:30,100] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:30,168] destination /tmp/tmp618w_jgm/.installer/1.17.0/include/versions.py already exists, overwriting.

[2020-02-08 13:10:30,173] destination /tmp/tmp618w_jgm/.installer/1.17.0/include/update.py already exists, overwriting.

[2020-02-08 13:10:30,179] destination /tmp/tmp618w_jgm/.installer/1.17.0/__init__.py already exists, overwriting.

[2020-02-08 13:10:30,191] destination /tmp/tmp618w_jgm/.installer/1.17.0/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:30,199] destination /tmp/tmp618w_jgm/.installer/1.17.0/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:30,216] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-08 13:10:30,223] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:30,228] destination /tmp/tmp618w_jgm/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-08 13:10:30,232] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-08 13:10:30,236] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:30,258] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:30,263] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-08 13:10:30,268] destination /tmp/tmp618w_jgm/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-08 13:10:30,273] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-08 13:10:30,280] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:30,310] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-08 13:10:30,316] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-08 13:10:30,322] destination /tmp/tmp618w_jgm/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-08 13:10:30,328] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-08 13:10:30,333] destination /tmp/tmp618w_jgm/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-08 13:10:30,340] destination /tmp/tmp618w_jgm/.installer/15.5.1/vmware-workstation.py already exists, overwriting.

[2020-02-08 13:10:30,411] b'Not running in a virtual machine.\n'

[2020-02-08 13:10:30,411] b''

[2020-02-08 13:10:30,416] Running on a real machine!

[2020-02-08 13:10:30,496] b'1048576\n'

[2020-02-08 13:10:30,497] b''

[2020-02-08 13:10:30,500] Cannot use vmware-app-control to shut down open VMs, defaulting to fallback message.

[2020-02-08 13:10:30,503] Ignored execution error: [Errno 2] No such file or directory: '/etc/init.d/vmware': '/etc/init.d/vmware' when running command: [path('/etc/init.d/vmware'), 'stoppable']

[2020-02-08 13:10:30,522] b''

[2020-02-08 13:10:30,523] b''

[2020-02-08 13:10:30,739] This system has KVM enabled. You cannot run VMs with KVM enabled.

[2020-02-08 13:10:33,162] No release file found...

[2020-02-08 13:10:34,302] destination /usr/lib/vmware/setup/vmware-config already exists, overwriting.

[2020-02-08 13:10:34,328] Integrity Error: Adding file /usr/lib/vmware/setup/vmware-config with mtime 1581154834, fileType 0, and uid 8.

[2020-02-08 13:10:34,328] [vmware-player-setup 15.5.1] Installation failed, rolling back installation.

[2020-02-08 13:10:34,375] Top level exception handler

Traceback (most recent call last):

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/db.py", line 31, in decorator

    return func(*args, **kwargs)

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/db.py", line 478, in Add

    cur = self._db.execute(statement, (path, mtime, fileType, component))

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/db.py", line 233, in execute

    return self._db.execute(query, args)

sqlite3.IntegrityError: UNIQUE constraint failed: files.path

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/core/transaction.py", line 398, in RunThreadedTransaction

    txn.Run()

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/core/transaction.py", line 78, in Run

    self.get()()

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/core/common.py", line 138, in Show

    i.Execute(txn.temp, onProgress)

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/core/install.py", line 389, in Execute

    db.files.Add(filePath, fileMtime, dest.fileType.id, uid)

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/db.py", line 33, in decorator

    raise IntegrityError(str(e))

vmis.core.errors.IntegrityError: UNIQUE constraint failed: files.path

[2020-02-08 13:10:34,399] Rollback failed

Traceback (most recent call last):

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/db.py", line 31, in decorator

    return func(*args, **kwargs)

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/db.py", line 478, in Add

    cur = self._db.execute(statement, (path, mtime, fileType, component))

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/db.py", line 233, in execute

    return self._db.execute(query, args)

sqlite3.IntegrityError: UNIQUE constraint failed: files.path

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/core/transaction.py", line 398, in RunThreadedTransaction

    txn.Run()

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/core/transaction.py", line 78, in Run

    self.get()()

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/core/common.py", line 138, in Show

    i.Execute(txn.temp, onProgress)

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/core/install.py", line 389, in Execute

    db.files.Add(filePath, fileMtime, dest.fileType.id, uid)

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/db.py", line 33, in decorator

    raise IntegrityError(str(e))

vmis.core.errors.IntegrityError: UNIQUE constraint failed: files.path

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/core/transaction.py", line 446, in RunThreadedTransaction

    resolveResults = Resolve([], common.repository.installed, [], db.database)

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/core/dependency.py", line 1421, in Resolve

    positiveGraph.constructLinks(installed)

  File "/tmp/vmis.GxziIs/install/vmware-installer/vmis/core/dependency.py", line 385, in constructLinks

    raise exception

vmis.core.errors.UnsatisfiedDependency: Component vmware-vmrc-app 10.0.6 has unsatisfied dependency: vmware-usbarbitrator>=17.3.0

why ?!

0 Kudos
1 Solution

Accepted Solutions
alirezaimi
Contributor
Contributor

Thanks to this post in opensuse forum solved my problem !

openSUSE Forums

specially : openSUSE Forums

View solution in original post

0 Kudos
4 Replies
wila
Immortal
Immortal

Hi,

From your log:

This system has KVM enabled. You cannot run VMs with KVM enabled. 

You can't run both the KVM hypervisor _and_ VMware Workstation at the same time.

--

Wil

| Author of Vimalin. The virtual machine Backup app for VMware Fusion, VMware Workstation and Player |
| More info at vimalin.com | Twitter @wilva
0 Kudos
alirezaimi
Contributor
Contributor

I removed it and error happened again without kvm part !

root@lap:/# lsmod | grep kvm

root@lap:/# rmmod kvm_intel kvm

rmmod: ERROR: Module kvm_intel is not currently loaded

rmmod: ERROR: Module kvm is not currently loaded

[2020-02-12 11:49:28,035]

[2020-02-12 11:49:28,035]

[2020-02-12 11:49:28,036] Installer running.

[2020-02-12 11:49:28,036] Command Line Arguments:

[2020-02-12 11:49:28,036] ['/tmp/vmis.y7nQOS/install/vmware-installer/vmware-installer.py', '--set-setting', 'vmware-installer', 'libconf', '', '--install-component', '/tmp/vmis.y7nQOS/install/vmware-installer', '--install-bundle', '/home/ali/Downloads/temp/./VMware-Workstation-Full-15.5.1-15018445.x86_64.bundle', '']

[2020-02-12 11:49:28,093] System installer version is: 3.0.0.15018445

[2020-02-12 11:49:28,093] Running installer version is: 3.0.0.15018445

[2020-02-12 11:49:28,094] Opening database file /etc/vmware-installer/database

[2020-02-12 11:49:29,102] Could not locate installer App Control.

[2020-02-12 11:49:29,274] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-12 11:49:29,280] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:29,285] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-12 11:49:29,290] destination /tmp/tmpeelaprzg/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-12 11:49:29,301] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:29,327] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:29,333] destination /tmp/tmpeelaprzg/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-12 11:49:29,338] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:29,346] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-12 11:49:29,353] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-12 11:49:29,422] Kernel release string 4.19.0-6-amd64

[2020-02-12 11:49:29,425] Found Linux kernel version (4, 19, 0)

[2020-02-12 11:49:29,436] Glibc brand string ldd (Debian GLIBC 2.28-10) 2.28

[2020-02-12 11:49:29,441] Found glibc version (2, 28)

[2020-02-12 11:49:29,532] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:29,538] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:29,544] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/update.py already exists, overwriting.

[2020-02-12 11:49:29,551] destination /tmp/tmpeelaprzg/.installer/11.0.0/__init__.py already exists, overwriting.

[2020-02-12 11:49:29,556] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/versions.py already exists, overwriting.

[2020-02-12 11:49:29,574] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:29,580] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/versions.py already exists, overwriting.

[2020-02-12 11:49:29,585] destination /tmp/tmpeelaprzg/.installer/11.0.0/__init__.py already exists, overwriting.

[2020-02-12 11:49:29,588] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:29,600] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/update.py already exists, overwriting.

[2020-02-12 11:49:29,615] destination /tmp/tmpeelaprzg/.installer/11.0.0/__init__.py already exists, overwriting.

[2020-02-12 11:49:29,622] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/versions.py already exists, overwriting.

[2020-02-12 11:49:29,627] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/update.py already exists, overwriting.

[2020-02-12 11:49:29,633] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:29,644] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:29,660] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/update.py already exists, overwriting.

[2020-02-12 11:49:29,666] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:29,672] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/versions.py already exists, overwriting.

[2020-02-12 11:49:29,678] destination /tmp/tmpeelaprzg/.installer/11.0.0/__init__.py already exists, overwriting.

[2020-02-12 11:49:29,684] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:29,705] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:29,710] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/update.py already exists, overwriting.

[2020-02-12 11:49:29,717] destination /tmp/tmpeelaprzg/.installer/11.0.0/__init__.py already exists, overwriting.

[2020-02-12 11:49:29,722] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/versions.py already exists, overwriting.

[2020-02-12 11:49:29,733] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:29,750] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/versions.py already exists, overwriting.

[2020-02-12 11:49:29,757] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/update.py already exists, overwriting.

[2020-02-12 11:49:29,762] destination /tmp/tmpeelaprzg/.installer/11.0.0/__init__.py already exists, overwriting.

[2020-02-12 11:49:29,768] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:29,780] destination /tmp/tmpeelaprzg/.installer/11.0.0/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:29,798] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-12 11:49:29,805] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-12 11:49:29,811] destination /tmp/tmpeelaprzg/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-12 11:49:29,819] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:29,825] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:29,913] destination /tmp/tmpeelaprzg/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-12 11:49:29,919] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-12 11:49:29,924] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:29,931] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:29,937] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-12 11:49:29,953] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-12 11:49:29,960] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-12 11:49:29,973] destination /tmp/tmpeelaprzg/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-12 11:49:29,978] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:29,983] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:30,054] destination /tmp/tmpeelaprzg/.installer/1.17.0/include/versions.py already exists, overwriting.

[2020-02-12 11:49:30,060] destination /tmp/tmpeelaprzg/.installer/1.17.0/include/update.py already exists, overwriting.

[2020-02-12 11:49:30,065] destination /tmp/tmpeelaprzg/.installer/1.17.0/__init__.py already exists, overwriting.

[2020-02-12 11:49:30,076] destination /tmp/tmpeelaprzg/.installer/1.17.0/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:30,084] destination /tmp/tmpeelaprzg/.installer/1.17.0/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:30,099] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-12 11:49:30,104] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:30,110] destination /tmp/tmpeelaprzg/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-12 11:49:30,114] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-12 11:49:30,119] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:30,142] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:30,148] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-12 11:49:30,154] destination /tmp/tmpeelaprzg/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-12 11:49:30,159] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-12 11:49:30,165] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:30,194] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/systemType.py already exists, overwriting.

[2020-02-12 11:49:30,200] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/update.py already exists, overwriting.

[2020-02-12 11:49:30,205] destination /tmp/tmpeelaprzg/.installer/15.5.1/__init__.py already exists, overwriting.

[2020-02-12 11:49:30,210] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/versions.py already exists, overwriting.

[2020-02-12 11:49:30,216] destination /tmp/tmpeelaprzg/.installer/15.5.1/include/initscript.py already exists, overwriting.

[2020-02-12 11:49:30,222] destination /tmp/tmpeelaprzg/.installer/15.5.1/vmware-workstation.py already exists, overwriting.

[2020-02-12 11:49:30,285] b'Not running in a virtual machine.\n'

[2020-02-12 11:49:30,286] b''

[2020-02-12 11:49:30,291] Running on a real machine!

[2020-02-12 11:49:30,373] b'1048576\n'

[2020-02-12 11:49:30,374] b''

[2020-02-12 11:49:30,377] Cannot use vmware-app-control to shut down open VMs, defaulting to fallback message.

[2020-02-12 11:49:30,380] Ignored execution error: [Errno 2] No such file or directory: '/etc/init.d/vmware': '/etc/init.d/vmware' when running command: [path('/etc/init.d/vmware'), 'stoppable']

[2020-02-12 11:49:30,399] b''

[2020-02-12 11:49:30,400] b''

[2020-02-12 11:49:32,967] No release file found...

[2020-02-12 11:49:34,077] destination /usr/lib/vmware/setup/vmware-config already exists, overwriting.

[2020-02-12 11:49:34,100] Integrity Error: Adding file /usr/lib/vmware/setup/vmware-config with mtime 1581495574, fileType 0, and uid 8.

[2020-02-12 11:49:34,100] [vmware-player-setup 15.5.1] Installation failed, rolling back installation.

[2020-02-12 11:49:34,146] Top level exception handler

Traceback (most recent call last):

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/db.py", line 31, in decorator

    return func(*args, **kwargs)

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/db.py", line 478, in Add

    cur = self._db.execute(statement, (path, mtime, fileType, component))

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/db.py", line 233, in execute

    return self._db.execute(query, args)

sqlite3.IntegrityError: UNIQUE constraint failed: files.path

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/core/transaction.py", line 398, in RunThreadedTransaction

    txn.Run()

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/core/transaction.py", line 78, in Run

    self.get()()

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/core/common.py", line 138, in Show

    i.Execute(txn.temp, onProgress)

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/core/install.py", line 389, in Execute

    db.files.Add(filePath, fileMtime, dest.fileType.id, uid)

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/db.py", line 33, in decorator

    raise IntegrityError(str(e))

vmis.core.errors.IntegrityError: UNIQUE constraint failed: files.path

[2020-02-12 11:49:34,169] Rollback failed

Traceback (most recent call last):

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/db.py", line 31, in decorator

    return func(*args, **kwargs)

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/db.py", line 478, in Add

    cur = self._db.execute(statement, (path, mtime, fileType, component))

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/db.py", line 233, in execute

    return self._db.execute(query, args)

sqlite3.IntegrityError: UNIQUE constraint failed: files.path

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/core/transaction.py", line 398, in RunThreadedTransaction

    txn.Run()

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/core/transaction.py", line 78, in Run

    self.get()()

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/core/common.py", line 138, in Show

    i.Execute(txn.temp, onProgress)

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/core/install.py", line 389, in Execute

    db.files.Add(filePath, fileMtime, dest.fileType.id, uid)

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/db.py", line 33, in decorator

    raise IntegrityError(str(e))

vmis.core.errors.IntegrityError: UNIQUE constraint failed: files.path

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/core/transaction.py", line 446, in RunThreadedTransaction

    resolveResults = Resolve([], common.repository.installed, [], db.database)

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/core/dependency.py", line 1421, in Resolve

    positiveGraph.constructLinks(installed)

  File "/tmp/vmis.y7nQOS/install/vmware-installer/vmis/core/dependency.py", line 385, in constructLinks

    raise exception

vmis.core.errors.UnsatisfiedDependency: Component vmware-vmrc-app 10.0.6 has unsatisfied dependency: vmware-usbarbitrator>=17.3.0

0 Kudos
alirezaimi
Contributor
Contributor

Thanks to this post in opensuse forum solved my problem !

openSUSE Forums

specially : openSUSE Forums

0 Kudos
wila
Immortal
Immortal

OK, good to hear that you managed to resolve it and thanks for letting us know how you resolved it.

The hint for the issue appears to be at the last line of the log excerpt you posted last.

Not a very clear error message, but at least it is something we can search for next time someone reports it.

Thanks!

--

Wil

| Author of Vimalin. The virtual machine Backup app for VMware Fusion, VMware Workstation and Player |
| More info at vimalin.com | Twitter @wilva
0 Kudos